unable to install mouse gestures under WinNT4 sp5

VERIFIED INVALID

Status

()

Firefox
General
VERIFIED INVALID
16 years ago
15 years ago

People

(Reporter: Phil Viton, Assigned: Blake Ross)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

16 years ago
User-Agent:       Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.3a) Gecko/20021108 Phoenix/0.4
Build Identifier: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.3a) Gecko/20021108 Phoenix/0.4


I've been unable to get mouse gestures to work at all under NT4, using either
phoenix 0.4 or the nightly build form Nov 8. 

With phoenix 0.3, they did work, though it took some user intervention: the
mozgest items in prefs.js didn't get written by the install routine. Note that

(a) they do install under phoenix 0.4 and win2k, though user intervention is
still needed. 

(b) even when they did work, there was no menu item under Preferences -> advanced.

(b) they install correctly under both win2k and NT4 (with no user intervention)
 under Mozilla 1.2. and the menmu items are there.

So it looks to me as though this is a phoenix-specific bug, which is why Im
entering it here.

Reproducible: Always

Steps to Reproduce:
1. Install gestures from its website.
2. Check prefs.js to see if entires for mozgest have been made. 
3. If not, copy the relevant 5 lines from Mz's prefs.js
4. Wait a couple of hours (seriously!)

At this point, you should have gestures under win2k; but not under NT4.

Comment 1

16 years ago
you should probably report this bug at the gesture website:
http://optimoz.mozdev.org/gestures/bugs.html
(Reporter)

Comment 2

16 years ago
Yes I've already done this; but as I say, it looks like a phoenix problem, since
with Mz there's no problem at all.

Comment 3

16 years ago
Mozilla and Phoenix handles extensions slightly diffrently, and therefore the
package needs to be modified for Phoenix. Let the extension makers fix their
extensions.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 16 years ago
Resolution: --- → INVALID
(Reporter)

Comment 4

16 years ago
It's been pointed out to me that Mz and Phoenix use somewhat different
ways of installing extensions. This appears correct: if you install gestures from

 http://texturizer.net/phoenix/extensions.html#gestures

then it appears to work first time out, even with Ph 0.4 under NT4. I'm 
therefore marking this bug as "closed"
Status: RESOLVED → CLOSED

Comment 5

16 years ago
Bugs in Phoenix's bugzilla are never really closed.
Status: CLOSED → UNCONFIRMED
Resolution: INVALID → ---

Comment 6

16 years ago
Marking it INVALID agian. Please leave it at that.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 16 years ago16 years ago
Resolution: --- → INVALID

Comment 7

15 years ago
Mass-verifying INVAs.
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.